Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.form
Class PDRadioCollection

    java.lang.Object
      org.pdfbox.pdmodel.interactive.form.PDField
          org.pdfbox.pdmodel.interactive.form.PDChoiceButton
              org.pdfbox.pdmodel.interactive.form.PDRadioCollection

All Implemented Interfaces:
  COSObjectable

public class PDRadioCollection
extends PDChoiceButton

A class for handling the PDF field as a Radio Collection. This class automatically keeps track of the child radio buttons in the collection.

Version:
  $Revision: 1.13 $
Author:
  sug
See Also:
  `PDCheckbox`

Field Summary
`static int` | `FLAG_RADIOS_IN_UNISON` A Ff flag.

Fields inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`FLAG_NO_EXPORT, FLAG_READ_ONLY, FLAG_REQUIRED`

Constructor Summary
`PDRadioCollection(PDAcroForm theAcroForm, COSDictionary field)`

Method Summary
`List` | `getKids()` This will return a list of PDField objects that are part of this radio collection.
`String` | `getValue()` getValue gets the fields value to as a string.
`boolean` | `isRadiosInUnison()`
`void` | `setRadiosInUnison(boolean radiosInUnison)` From the PDF Spec If set, a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked.
`void` | `setValue(String value)` This setValue method iterates the collection of radiobuttons and checks or unchecks each radiobutton according to the given value.

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDChoiceButton
`getOptions, setOptions`

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`findFieldType, findKid, getAcroForm, getActions, getCOSObject, getDictionary, getFieldFlags, getFieldType, getFullyQualifiedName, getParent, getPartialName, getWidget, importFDF, isNoExport, isReadonly, isRequired, setAcroForm, setActions, setFieldFlags, setKids, setNoExport, setParent, setPartialName, setReadonly, setRequired, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FLAG_RADIOS_IN_UNISON

    public static final int FLAG_RADIOS_IN_UNISON

  A Ff flag.

  See Also:
    Constant Field Values

Constructor Detail

### PDRadioCollection

    public PDRadioCollection(PDAcroForm theAcroForm,
                             COSDictionary field)

Parameters:
  `theAcroForm` - The acroForm for this field.
  `field` - The field that makes up the radio collection. {@inheritDoc}

Method Detail

### setRadiosInUnison

    public void setRadiosInUnison(boolean radiosInUnison)

  From the PDF Spec
  If set, a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked. If clear, the buttons are mutually exclusive (the same behavior as HTML radio buttons).

  Parameters:
    `radiosInUnison` - The new flag for radiosInUnison.

### isRadiosInUnison

    public boolean isRadiosInUnison()

  Returns:
    true If the flag is set for radios in unison.

### setValue

    public void setValue(String value)
                  throws IOException

  This setValue method iterates the collection of radiobuttons and checks or unchecks each radiobutton according to the given value. If the value is not represented by any of the radiobuttons, then none will be checked. setValue sets the fields value to a given string.

  Specified by:
    `setValue` in class `PDField`
  Parameters:
    `value` - the string value
  Throws:
    `IOException` - If there is an error creating the appearance stream.

### getValue

    public String getValue()
                    throws IOException

  getValue gets the fields value to as a string.

  Specified by:
    `getValue` in class `PDField`
  Returns:
    The string value of this field.
  Throws:
    `IOException` - If there is an error getting the value.

### getKids

    public List getKids()
                 throws IOException

  This will return a list of PDField objects that are part of this radio collection.

  Overrides:
    `getKids` in class `PDField`
  Returns:
    A list of PDWidget objects.
  Throws:
    `IOException` - if there is an error while creating the children objects.
  See Also:
    `PDField.getWidget()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD